/*
 * Bluetooth-frwk
 *
 * Copyright (c) 2015 - 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact:  Atul Kumar Rai <a.rai@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *		http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __BT_SERVICE_HDP_H__
#define __BT_SERVICE_HDP_H__

#include <glib.h>
#include <sys/types.h>
#include "bluetooth-api.h"

#ifdef __cplusplus
extern "C" {
#endif

int _bt_hdp_init(void);
void _bt_hdp_deinit(void);
int _bt_hdp_app_register(bt_hdp_role_type_t role, bt_hdp_qos_type_t channel_type,
		unsigned short data_type, char *sender, int *app_id);
int _bt_hdp_app_unregister(int app_id);
int _bt_hdp_connect(int app_id, bluetooth_device_address_t *address,
		bt_hdp_qos_type_t channel_type, int *channel_id);
int _bt_hdp_disconnect(int channel_id);
int _bt_hdp_get_fd(int channel_id);
void _bt_check_hdp_app_termination(const char *name);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __BT_SERVICE_HDP_H__ */
